<style type="text/css">
	#transfer-orders table { width: 100% }
	.no { color: red; margin: 2px; }
	
	table.details {  }
	table.details tr.alter {  }
	table.details th { font-size: 13px; text-align: left; padding: 3px 12px 3px 6px }
	table.details td { font-size: 13px; text-align: left; padding-right: 6px }
	.total { padding: 5px 30px 5px 0; font-size: 16px; background-color: #D7FFB0; margin-top: 10px; border-top: 1px solid #ccc; text-align: right }

	.details fieldset { float: left; margin-top: 20px; margin-right: 20px }
	.details fieldset.m0 { margin-right: 0px !important }
</style>

<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

<script type="text/javascript">
	window.TransferDetailsPopup.addEvent('loaded', function () {
		var status = $('tr-status').get('value');
		
		if (status == 2 || status == 4)
		{
			$$('.t-confirm').hide();
			
			<? if ( $bu_user->type == 'superadmin'): ?>
				$$('.t-reject').show();
			<? else: ?>
				$$('.t-reject').hide();
			<? endif; ?>
		}
		else if (status == 3)
		{
			<? if ( $bu_user->type == 'superadmin'): ?>
				$$('.t-confirm').show();
			<? else: ?>
				$$('.t-confirm').hide();
			<? endif; ?>
				
			$$('.t-reject').hide();
		}
		else
		{
			$$('.t-confirm').show();
			
			<? if ( $bu_user->type == 'superadmin' && (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT) ): ?>
				$$('.t-reject').show();
			<? else: ?>
				$$('.t-reject').hide();
			<? endif; ?>
		}
		
		var grid = new Cubix.Grid(this.content.getElement('.cx-grid'), {
			identifier: { field: 'id' },
			header: [
				{ title: 'Package', field: 'name', type: '<?= Cubix_Application::getId() == APP_BL ? 'ActivePackageBL':'ActivePackage'?>' },
				{ title: 'Order ID', field: 'system_order_id', type: 'string' },
				{ title: 'Order Date', field: 'order_date', type: 'DateTime', width: '120px' },
				{ title: 'Price', field: 'price', type: 'Currency', format: { currency: '<?= $this->currency('symbol') ?>' } }
			],
			sort: {
				field: 'order_date',
				dir: 'DESC'
			},
			actions: [ { type: 'details', func: function (data) {
				window.OrderDetailsPopup.setTitle('Order Details');
				window.OrderDetailsPopup.load('/billing/orders/details?id=' + data.id, function () {
					this.open();
				});
			} } ],
			portioning: false,
			data: new Cubix.Grid.Loader.Static({ data: <?= json_encode(array('data' => $this->transfer->orders)) ?> })
		});
		
		<? if ( count($this->transfer->gotds) ): ?>
		
		var gridGotd = new Cubix.Grid($('gotd-grid'), {
			identifier: { field: 'id' },
			header: [
				{ title: 'GOTD City', field: 'city_title', type: 'string' },
				{ title: 'Activation Date', field: 'activation_date', type: 'Date' }
			],
			sort: {
				field: 'activation_date',
				dir: 'DESC'
			},
			actions: [],
			portioning: false,
			data: new Cubix.Grid.Loader.Static({ data: <?= json_encode(array('data' => $this->transfer->gotds)) ?> })
		});
		<? endif; ?>

		<? if ( count($this->transfer->votds) ): ?>
		
		var gridGotd = new Cubix.Grid($('votd-grid'), {
			identifier: { field: 'id' },
			header: [
				{ title: 'VOTD City', field: 'city_title', type: 'string' },
				{ title: 'Activation Date', field: 'activation_date', type: 'Date' }
			],
			sort: {
				field: 'activation_date',
				dir: 'DESC'
			},
			actions: [],
			portioning: false,
			data: new Cubix.Grid.Loader.Static({ data: <?= json_encode(array('data' => $this->transfer->votds)) ?> })
		});
		<? endif; ?>

		<? if ( count($this->transfer->bump) ): ?>
		
		var gridBump = new Cubix.Grid($('bump-grid'), {
			identifier: { field: 'id' },
			header: [
				{ title: 'Bump City', field: 'city_title', type: 'string' },
				{ title: 'Activation Date', field: 'activation_date', type: 'Date' },
				{ title: 'Paid amount', field: 'paid_amount', type: 'number' }
			],
			sort: {
				field: 'activation_date',
				dir: 'DESC'
			},
			actions: [],
			portioning: false,
			data: new Cubix.Grid.Loader.Static({ data: <?= json_encode(array('data' => $this->transfer->bump)) ?> })
		});
		<? endif; ?>

		this.removeEvents('loaded');
	});
</script>

<form class="form-common" action="/billing/orders/create" method="post">
	<input type="hidden" id="tr-status" value="<?= $this->transfer->status ?>" />
	<input type="hidden" id="tr-id" value="<?= $this->transfer->id ?>" />
	<h2>
		<? if ( 'agency' == $this->transfer->user_type ) {
			echo 'Agency: ' . $this->transfer->agency_name;
		}
		elseif ( 'escort' == $this->transfer->user_type ) {
			echo 'Escort: ' . $this->transfer->showname . '(Id: ' . $this->transfer->escort_id . ' )';
		} ?>
	</h2>

	<div class="details">
		<?= $this->render('transfers/details-brief.phtml') ?>
		<div class="clear"></div>
	</div>


	<fieldset class="mt20">
		<legend>Packages</legend>

		<div id="transfer-orders" class="cx-grid"></div>
	</fieldset>
	
	<? if ( count($this->transfer->gotds) ): ?>
	<fieldset class="mt20">
		<legend>Gotd</legend>

	<div id="gotd-grid" class=""></div>
	</fieldset>
	<? endif; ?>
	
	<? if ( count($this->transfer->bump) ): ?>
	<fieldset class="mt20">
		<legend>BUMP</legend>

	<div id="bump-grid" class=""></div>
	</fieldset>
	<? endif; ?>

	<? if ( count($this->transfer->votds) ): ?>
	<fieldset class="mt20">
		<legend>Votd</legend>

	<div id="votd-grid" class=""></div>
	</fieldset>
	<? endif; ?>
	
	<? if(isset($this->transfer->reject_comment)): ?>
	<fieldset class="mt20" style="color:red">
		<legend>Reject Reason</legend>
		<?= $this->transfer->reject_comment  ?>
	</fieldset>
	<? endif; ?>
	<div class="total">
		<b>Amount: <span id="amount"><?= $this->transfer->amount ?></span> <?= $this->currency('symbol') ?></b>
	</div>
</form>
